<?php

declare(strict_types=1);

namespace KupShop\CatalogBundle\View;

class SimpleProductListView extends CategoryView
{
    protected $template = 'products.list.tpl';

    public function getTitle()
    {
        return translate('title', 'category')['productsList'] ?? '';
    }

    public function getMetaTitle()
    {
        return translate('title', 'category')['productsList'] ?? '';
    }

    public function getBreadcrumbs()
    {
        return getReturnNavigation(-1, 'NO_TYPE', [translate('title', 'category')['productsList'] ?? '']);
    }

    public function getBodyVariables()
    {
        return array_merge_recursive(
            parent::getBodyVariables(),
            ['category' => ['is_simple' => true]]
        );
    }

    protected function getPagerOptions(): array
    {
        return [
            'noOnPage' => 9999,
            'page' => 1, 9,
        ];
    }
}
